package com.qiaomeng.flutter_system.flutter_system;

import android.content.Context;
import android.content.Intent;
import android.provider.AlarmClock;


public class Handler {
    public Context context;

    public Handler(Context context) {
        this.context = context;
    }

    public void openAlarm() {
        Intent alarms = new Intent(AlarmClock.ACTION_SET_ALARM);
        alarms.addFlags(Intent.FLAG_ACTIVITY_NEW_TASK);
        context.startActivity(alarms);
    }

    public void toLauncher() {
        Intent intent = new Intent();
        intent.setAction(Intent.ACTION_MAIN);
        intent.addCategory(Intent.CATEGORY_HOME);
        intent.addFlags(Intent.FLAG_ACTIVITY_NEW_TASK);
        context.startActivity(intent);
    }

}
